%define _unpackaged_files_terminate_build 0

%define _java_ver		1.8.0
%define _java_rel		65
%define _java_home		/usr/java

#define java_rel		0%{_java_rel}
%define java_rel		%{_java_rel}

#
# Don't make debug package
#
%define debug_package %{nil}

#
# Don't strip binary
# if follow define list is set, change first character # to %
# (#)(%)define is not permitted, only (#)define (for comment) or (%)define
#
%define __spec_install_post %{nil}
%define __find_requires %{nil}
%define _use_internal_dependency_generator 0
%define __jar_repack %{nil}

Summary: Java(TM) Platform Standard Edition Runtime Environment
Name: oracle-jre
Version: %{_java_ver}
Release: %{_java_rel}%{?dist}
Epoch: 0
Group: Development/Tools
License: Oracle Binary Code License (BCL)
URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html
#Source0: jre-%{version}_%{java_rel}.tar.bz2
Source1: jre.profile.csh
Source2: jre.profile.sh
Source3: fontconfig.properties
Source4: ko-fonts.tar.gz
Source100: jre-mksource.sh
Buildroot: %{_tmppath}/jre-%{version}_%{java_rel}-root
Requires: /bin/basename /bin/cat /bin/cp /bin/gawk /bin/grep
Requires: /bin/ln /bin/ls /bin/mkdir /bin/mv /bin/pwd /bin/rm
Requires: /bin/sed /bin/sort /bin/touch /usr/bin/cut /usr/bin/dirname
Requires: /usr/bin/expr /usr/bin/find /usr/bin/tail /usr/bin/tr
Requires: /usr/bin/wc /bin/sh
Conflicts: jre
Provides: sun-jre

%description
The Java Platform Standard Edition Runtime Environment (JRE) contains
everything necessary to run applets and applications designed for the
Java platform. This includes the Java virtual machine, plus the Java
platform classes and supporting files.

The JRE is freely redistributable, per the terms of the included license.


%prep
%setup -c -T -n jre-%{version}_%{java_rel}

bash %{SOURCE100} %{version}_%{_java_rel} %{_arch}

%build

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__rm} -f lib/fontconfig.*
%{__install} -m644 %{SOURCE3} lib/fontconfig.properties
#perl -pi -e "s/\@ARCH\@/${carch}/g" lib/fontconfig.properties
tar xvfpz %{SOURCE4}


if [ "%{_arch}" = "x86_64" ]; then
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jre-%{version}_%{java_rel}/x86_64!g' > /tmp/jre.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jre-%{version}_%{java_rel}/x86_64!g' >> /tmp/jre.list
else
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jre-%{version}_%{java_rel}/i386!g' > /tmp/jre.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jre-%{version}_%{java_rel}/i386!g' >> /tmp/jre.list
fi

popd

%install
# create directorys 
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/jre.csh
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/jre.sh

# remove 1.8
#cp -af etc/.java/ %{buildroot}%{_sysconfdir}/

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__mkdir_p} -p %{buildroot}%{_java_home}/jre-%{version}_%{java_rel}/${carch}
cp -af * %{buildroot}%{_java_home}/jre-%{version}_%{java_rel}/${carch}/
popd

%clean
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}
%{__rm} -f /tmp/jre.list

%post
[ -L "%{_java_home}/latest" ] && %{__rm} -f %{_java_home}/latest
if [ "`/bin/uname -m`" = "x86_64" ]; then
	ln -sf %{_java_home}/jre-%{version}_%{java_rel}/x86_64 %{_java_home}/latest
else
	ln -sf %{_java_home}/jre-%{version}_%{java_rel}/i386 %{_java_home}/latest
fi

if [ ! -f "%{_java_home}/default" ]; then
	ln -sf %{_java_home}/latest %{_java_home}/default
fi

%files -f /tmp/jre.list
%defattr(-,root,root)
#{_sysconfdir}/.java
%{_sysconfdir}/profile.d/jre.csh
%{_sysconfdir}/profile.d/jre.sh

# for ant-nwz

%changelog
* Wed Oct 28 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-65%{?dist}
- update 1.8.0 u65
- security issues
  . CVE-2015-4835
  . CVE-2015-4881
  . CVE-2015-4843
  . CVE-2015-4883
  . CVE-2015-4860
  . CVE-2015-4805
  . CVE-2015-4844
  . CVE-2015-4901
  . CVE-2015-4868
  . CVE-2015-4810
  . CVE-2015-4806
  . CVE-2015-4902
  . CVE-2015-4840
  . CVE-2015-4882
  . CVE-2015-4842
  . CVE-2015-4734
  . CVE-2015-4903
  . CVE-2015-4803
  . CVE-2015-4893
  . CVE-2015-4911
  . CVE-2015-4872
  . CVE-2015-4906
  . CVE-2015-4916
  . CVE-2015-4908

* Mon Jul 20 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-51%{?dist}
- update 1.8.0 u51
- security issues
  . CVE-2015-0469
  . CVE-2015-0459
  . CVE-2015-0491
  . CVE-2015-0460
  . CVE-2015-0492
  . CVE-2015-0458
  . CVE-2015-0484
  . CVE-2015-0480
  . CVE-2015-0486
  . CVE-2015-0488
  . CVE-2015-0477
  . CVE-2015-0470
  . CVE-2015-0478
  . CVE-2015-4760
  . CVE-2015-2628
  . CVE-2015-4731
  . CVE-2015-2590
  . CVE-2015-4732
  . CVE-2015-4733
  . CVE-2015-2638
  . CVE-2015-4736
  . CVE-2015-4748
  . CVE-2015-2597
  . CVE-2015-2664
  . CVE-2015-2632
  . CVE-2015-2601
  . CVE-2015-2613
  . CVE-2015-2621
  . CVE-2015-2659
  . CVE-2015-2619
  . CVE-2015-2637
  . CVE-2015-4749
  . CVE-2015-4729
  . CVE-2015-4000
  . CVE-2015-2808
  . CVE-2015-2627
  . CVE-2015-2625

* Mon Jan 26 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-31%{?dist}
- update 1.8.0 u31
- security issues
  . CVE-2014-6601   
  . CVE-2015-0412   
  . CVE-2014-6549   
  . CVE-2015-0408   
  . CVE-2015-0395   
  . CVE-2015-0437   
  . CVE-2015-0403   
  . CVE-2015-0421   
  . CVE-2015-0406   
  . CVE-2015-0383 
  . CVE-2015-0400   
  . CVE-2015-0407   
  . CVE-2015-0410 
  . CVE-2014-6587   
  . CVE-2014-3566
  . CVE-2014-6593
  . CVE-2014-6585   
  . CVE-2014-6591   
  . CVE-2015-0413

* Sat Jan 17 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-25%{?dist}
- rebuilt on AN3

* Mon Oct 20 2014 JoungKyun.Kim <http://oops.org> 0:1.8.0-25%{?dist}
- update 1.8.0 u25
- security issues
  . CVE-2014-6513
  . CVE-2014-6532
  . CVE-2014-6503
  . CVE-2014-6456
  . CVE-2014-6562
  . CVE-2014-6485
  . CVE-2014-6492
  . CVE-2014-6493
  . CVE-2014-4288
  . CVE-2014-6466
  . CVE-2014-6458
  . CVE-2014-6468
  . CVE-2014-6506
  . CVE-2014-6511
  . CVE-2014-6476
  . CVE-2014-6515
  . CVE-2014-6519
  . CVE-2014-6517
  . CVE-2014-6531
  . CVE-2014-6512
  . CVE-2014-6457
  . CVE-2014-6527
  . CVE-2014-6502
  . CVE-2014-6558

* Fri Sep 26 2014 JoungKyun.Kim <http://oops.org> 0:1.8.0-20%{?dist}
- update 1.8.0 u20

